Volley
Customers

Get customer

GET/customers/{id}

Retrieves a customer record by ID. Customers are created automatically when a payer provides their details during checkout.

AuthorizationBearer <token>

Your Volley API key as a bearer token

In: header

Path Parameters

id*string

The unique identifier of the customer

Response Body

application/json

application/json

application/json

fetch("https://example.com/customers/customer_abc123", {  method: "GET"})
{  "customer": {    "id": "customer_abc123",    "business_user_id": "user_cEwCTcXyxhdFbJLyune6x",    "email": "customer@example.com",    "phone": "+6421234567",    "first_name": "Jane",    "last_name": "Doe",    "address": {      "address1": "Building",      "address2": "123 Main Street",      "address3": "Te Aro",      "address4": "",      "city": "Wellington",      "postcode": "6011"    },    "created_at": "2025-01-15T10:30:00Z",    "updated_at": "2025-01-15T10:30:00Z"  }}
{  "code": "bad_request.invalid_param.amount",  "message": "Invalid format for amount (valid: '10.00 NZD')",  "params": {}}
{  "code": "bad_request.invalid_param.amount",  "message": "Invalid format for amount (valid: '10.00 NZD')",  "params": {}}